### Method

# Gtk IMContextactivate_osk

since: 4.14

#### Declaration [src]

    gboolean
    gtk_im_context_activate_osk (
      GtkIMContext* context,
      GdkEvent* event
    )

#### Description [src]

Requests the platform to show an on-screen keyboard for user input.

This method will return `TRUE` if this request was actually performed to the platform, other environmental factors may result in an on-screen keyboard effectively not showing up.

Available since: 4.14

#### Parameters

`event`

  Type: `GdkEvent`

  A `GdkEvent`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if an on-screen keyboard could be requested to the platform.